<template>
  <div>
    <!-- 添加或修改问卷题目对话框 -->
    <el-form ref="form" :model="form" :rules="rules" label-width="80px">
      <el-form-item label=" 老版本ID " prop="oldid">
        <el-input v-model="form.oldid" placeholder="请输入 老版本ID " />
      </el-form-item>
      <el-form-item label=" 问卷ID " prop="svyid">
        <el-input v-model="form.svyid" placeholder="请输入 问卷ID " />
      </el-form-item>
      <el-form-item label=" 题目Code " prop="topiccode">
        <el-input v-model="form.topiccode" placeholder="请输入 题目Code " />
      </el-form-item>
      <el-form-item label=" 题目 " prop="topic">
        <el-input v-model="form.topic" type="textarea" placeholder="请输入内容" />
      </el-form-item>
      <el-form-item label=" 排序 " prop="sort">
        <el-input v-model="form.sort" placeholder="请输入 排序 " />
      </el-form-item>
      <el-form-item label=" 是否必填 " prop="ismandatory">
        <el-select v-model="form.ismandatory" placeholder="请选择 是否必填 ">
          <el-option v-for="dict in dict.type.sys_yes_no" :key="dict.value" :label="dict.label"
            :value="parseInt(dict.value)"></el-option>
        </el-select>
      </el-form-item>
      <el-form-item label=" 是否隐藏 " prop="ishide">
        <el-select v-model="form.ishide" placeholder="请选择 是否隐藏 ">
          <el-option v-for="dict in dict.type.sys_yes_no" :key="dict.value" :label="dict.label"
            :value="parseInt(dict.value)"></el-option>
        </el-select>
      </el-form-item>
      <el-form-item label=" 删除标记 " prop="delFlag">
        <el-select v-model="form.delFlag" placeholder="请选择 删除标记 ">
          <el-option v-for="dict in dict.type.sys_yes_no" :key="dict.value" :label="dict.label"
            :value="dict.value"></el-option>
        </el-select>
      </el-form-item>
      <el-form-item label=" 机构ID " prop="orgid">
        <el-input v-model="form.orgid" placeholder="请输入 机构ID " />
      </el-form-item>
      <el-form-item label=" 上传标记 " prop="isupload">
        <el-select v-model="form.isupload" placeholder="请选择 上传标记 ">
          <el-option v-for="dict in dict.type.sys_yes_no" :key="dict.value" :label="dict.label"
            :value="parseInt(dict.value)"></el-option>
        </el-select>
      </el-form-item>
      <el-form-item label=" 上传时间 " prop="uploadTime">
        <el-date-picker clearable v-model="form.uploadTime" type="date" value-format="yyyy-MM-dd" placeholder="请选择 上传时间 ">
        </el-date-picker>
      </el-form-item>
    </el-form>
    <div slot="footer" class="dialog-footer">
      <el-button type="primary" @click="submitForm">确 定</el-button>
      <el-button @click="cancel">取 消</el-button>
    </div>
    <el-form ref="elForm" :model="formData" :rules="rules" size="medium" label-width="100px">
      <el-form-item label="下拉选择" prop="field101">
        <el-select v-model="formData.field101" placeholder="请选择下拉选择" clearable :style="{ width: '100%' }">
          <el-option v-for="(item, index) in field101Options" :key="index" :label="item.label" :value="item.value"
            :disabled="item.disabled"></el-option>
        </el-select>
        <el-input placeholder="选项内容"></el-input>
      </el-form-item>
      <el-form-item size="large">
        <el-button type="primary" @click="submitForm1">提交</el-button>
        <el-button @click="resetForm1">重置</el-button>
      </el-form-item>
    </el-form>
  </div>
</template>
<script>
export default {
  components: {},
  props: [],
  data() {
    return {
      formData: {
        field101: undefined,
      },
      rules: {
        field101: [{
          required: true,
          message: '请选择下拉选择',
          trigger: 'change'
        }],
      },
      field101Options: [{
        "label": "单选项",
        "value": 1
      },
      {
        "label": "多选项",
        "value": 2
      },
      {
        "label": "直接填写",
        "value": 3
      },
      {
        "label": "日期范围",
        "value": 4
      },
      {
        "label": "数值范围",
        "value": 5
      }
      ],
    }
  },
  computed: {},
  watch: {},
  created() { },
  mounted() { },
  methods: {
    submitForm1() {
      this.$refs['elForm'].validate(valid => {
        if (!valid) return
        // TODO 提交表单
      })
    },
    resetForm1() {
      this.$refs['elForm'].resetFields()
    },
  }
}

</script>
<style></style>
  